## org.gnu.gdk
Class Fill

    java.lang.Object
      org.gnu.glib.Enum
          org.gnu.gdk.Fill

public class Fill
extends Enum

Field Summary
`static Fill` `OPAQUE_STIPPLED`
`static Fill` `SOLID`
`static Fill` `STIPPLED`
`static Fill` `TILED`

Fields inherited from class org.gnu.glib.Enum
`value_`

Method Summary
`Fill` `and(Fill other)`
`static Fill` `intern(int value)`
`Fill` `or(Fill other)`
`boolean` `test(Fill other)`
`Fill` `xor(Fill other)`

Methods inherited from class org.gnu.glib.Enum
`equals, getValue, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SOLID

    public static final Fill SOLID

### TILED

    public static final Fill TILED

### STIPPLED

    public static final Fill STIPPLED

### OPAQUE_STIPPLED

    public static final Fill OPAQUE_STIPPLED

Method Detail

### intern

    public static Fill intern(int value)

### or

    public Fill or(Fill other)

### and

    public Fill and(Fill other)

### xor

    public Fill xor(Fill other)

### test

    public boolean test(Fill other)